## clap 0.1.0

=== DESCRIPTION ===
Package: clap
Type: Package
Title: Detecting Class Overlapping Regions in Multidimensional Data
Version: 0.1.0
Authors@R: c(person(given = "Priyanga Dilini", family = "Talagala", email= "pritalagala@gmail.com", role= c("aut", "cre", "cph"),  comment = c(ORCID = "0000-0003-2870-7449")))
Description: The issue of overlapping regions in multidimensional data arises when different classes or clusters share similar feature representations, making it challenging to delineate distinct boundaries between them accurately. This package provides methods for detecting and visualizing these overlapping regions using partitional clustering techniques based on nearest neighbor distances.
License: GPL-3
Encoding: UTF-8
Imports: mclust, FNN, dplyr, stats, rlang
Suggests: ggplot2
RoxygenNote: 7.3.1
URL: https://github.com/pridiltal/clap
BugReports: https://github.com/pridiltal/clap/issues
NeedsCompilation: no
Packaged: 2024-06-28 10:25:59 UTC; User
Author: Priyanga Dilini Talagala [aut, cre, cph]
    (<https://orcid.org/0000-0003-2870-7449>)
Maintainer: Priyanga Dilini Talagala <pritalagala@gmail.com>
Repository: CRAN
Date/Publication: 2024-06-28 14:50:06 UTC

## clap 0.14.0

=== Makefile ===
PYTHONVERSION=`python3 -c 'import sys; print("{}.{}".format(sys.version_info.major, sys.version_info.minor))'`

.PHONY: tests tests-python2

version:
	@echo "$(PYTHONVERSION)"

doc:
	echo "" > DOC
	pydoc3 ./clap/* >> DOC

global-install:
	make tests
	make clean
	mkdir -p $(PREFIX)/lib/python$(PYTHONVERSION)/site-packages/clap
	cp -v ./clap/*.py $(PREFIX)/lib/python$(PYTHONVERSION)/site-packages/clap/

install: ./clap/*.py
	mkdir -p ~/.local/lib/python$(PYTHONVERSION)/site-packages/clap
	cp -v ./clap/*.py ~/.local/lib/python$(PYTHONVERSION)/site-packages/clap/

clean:
	rm -rf ./clap/__pycache__


test:
	python3 ./tests/clap/tests.py --catch --failfast --verbose 

test-builder:
	python3 ./tests/clap/buildertests.py --catch --failfast --verbose 

test-example-ui-run:
	python3 ./examples/nested.py > /dev/null
	python3 ./examples/nested.py help > /dev/null
	python3 ./examples/nested.py help help > /dev/null
	python3 ./examples/nested.py help help --help > /dev/null

test-example-ui-helper-output:
	@python3 ./examples/nested.py help
	@python3 ./examples/nested.py help help
	@python3 ./examples/nested.py help help --usage

test-cover: test test-builder test-example-ui-run

=== debian/changelog ===
clap (0.14.0-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.5.1.
      - Changed Maintainer for Debian QA Group because it was orphaned.
      - Updated DH to level 13.

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 18 Dec 2020 09:18:30 -0300

clap (0.14.0-1) unstable; urgency=medium

  * Initial release. (Closes: #949186).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Fri, 17 Jan 2020 17:38:36 -0300

=== debian/control ===
Source: clap
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-all,
               python3-setuptools,
X-Python3-Version: >= 3.7
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/marekjm/clap
Vcs-Browser: https://salsa.debian.org/debian/python3-clap
Vcs-Git: https://salsa.debian.org/debian/python3-clap.git

Package: python3-clap
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: command line arguments parser
 CLAP aims at being powerful and advanced command line interface library for
 Python 3 language. Having built-in support for modes, optional and obligatory
 options, options with arguments (with type-checking with arbitrary types) it
 enables programmers to create rich command line interfaces for Python 3
 programs.
 .
 Features:
   * Support for single-level and nested modes (with per-mode and global
     options).
   * Support for grouped short options (ls -lhR).
   * Support for long options with or without equal-sign-connected arguments
     (--log=./file.log and --log ./file.log are both correct).
   * Support for option aliases (short/long names).
   * Support for typed arguments (str, int, float built-in and other arbitrary
     types via callbacks).
   * Built-in type checking of option arguments.
   * Support for multiple arguments for options (e.g. --point 0 0).
   * Checking for missing arguments with options which require them.
   * Checking for conflicting options (eg. --quiet must not come with option
     --verbose).
   * Support for options that MUST be passed to the program.
   * Support for options required by other options (e.g. --key requires
     --value).
   * Support for options wanted by other options (e.g. --which wants --this or
     --that or both).
   * Good set of exceptions with detailed error messages.
   * Ability to load interface from JSON descriptions.
   * Automatic generation of help screens (for your-tool help command) with
     per-mode, per-option, and per-operand descriptions, usage examples,
     and more.
   * Support for shortcuts for command names (shortest-unique name is
     sufficient for CLAP to resolve the command, it is not necessary to
     write full names).
 .
 CLAP is not the most easy to use command line arguments parser for Python,
 but that it is one of the most powerful (if not the most powerful) framework
 for writing command line interfaces. With excellent support for modes,
 options, and operands, automatic input verification, and help screen
 generation you get a big return on your investment.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME = python3-clap

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Tests: verify.sh
Depends: @, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/marekjm/clap/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## clap 1.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17)
enable_testing()

# Extract the version from header file
file(READ "include/clap/version.h" clap_version_header)
string(REGEX MATCH "CLAP_VERSION_MAJOR ([0-9]+)" _ ${clap_version_header})
set(CLAP_VERSION_MAJOR ${CMAKE_MATCH_1})
string(REGEX MATCH "CLAP_VERSION_MINOR ([0-9]+)" _ ${clap_version_header})
set(CLAP_VERSION_MINOR ${CMAKE_MATCH_1})
string(REGEX MATCH "CLAP_VERSION_REVISION ([0-9]+)" _ ${clap_version_header})
set(CLAP_VERSION_REVISION ${CMAKE_MATCH_1})

message(STATUS "CLAP version: ${CLAP_VERSION_MAJOR}.${CLAP_VERSION_MINOR}.${CLAP_VERSION_REVISION}")

project(CLAP LANGUAGES C CXX VERSION ${CLAP_VERSION_MAJOR}.${CLAP_VERSION_MINOR}.${CLAP_VERSION_REVISION})

option(CLAP_BUILD_TESTS "Should CLAP build tests and the like?" OFF)

# If you use clap as a submodule of your plugin you need some interface projects
# to allow you to link
add_library(clap INTERFACE)
target_include_directories(clap INTERFACE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)

# `clap-core` is deprecated, please `clap` instead.
add_library(clap-core ALIAS clap)

include(GNUInstallDirs)
install(DIRECTORY "include/clap" DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
install(TARGETS clap EXPORT clap INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")
install(EXPORT clap DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/clap" FILE "clap-config.cmake")

include(CMakePackageConfigHelpers)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/clap-config-version.cmake"
    VERSION "${PROJECT_VERSION}"
    COMPATIBILITY AnyNewerVersion)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/clap-config-version.cmake" DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/clap")

# In addition to the above generated `clap-config.cmake` file, we'll also
# provide a pkg-config file to make it easier to consume this library in a
# portable way
configure_file(clap.pc.in "${CMAKE_CURRENT_BINARY_DIR}/clap.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/clap.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# clap-tests should always be available, to avoid build failing here and there
# because the target doesn't exists
add_custom_target(clap-tests)

if (${CLAP_BUILD_TESTS})
    message(STATUS "Including CLAP tests, compile tests, and versions")
    include(CheckSourceCompiles)

    macro(clap_compile_cpp SUFFIX EXT STDC STDCPP)
        add_executable(clap-compile-${SUFFIX} EXCLUDE_FROM_ALL src/main.${EXT})
        target_link_libraries(clap-compile-${SUFFIX} clap)
        set_target_properties(clap-compile-${SUFFIX} PROPERTIES
            C_STANDARD ${STDC}
            CXX_STANDARD ${STDCPP})
        add_test(NAME test-clap-compile-${SUFFIX} COMMAND clap-compile-${SUFFIX})
        add_dependencies(clap-tests clap-compile-${SUFFIX})

        if (${EXT} STREQUAL "cc")
            target_compile_definitions(clap-compile-${SUFFIX} PRIVATE CLAP_COMPILE_TEST_CXX_VERSION=${STDCPP})
        endif()

        if (${CMAKE_C_COMPILER_ID} STREQUAL "GNU" OR ${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
            target_compile_options(clap-compile-${SUFFIX} PRIVATE -Wall -Wextra -pedantic)
        endif()

        if (${CMAKE_C_COMPILER_ID} STREQUAL "Clang")
            target_compile_options(clap-compile-${SUFFIX} PRIVATE -Werror=pragma-pack)
        endif()
    endmacro()

    clap_compile_cpp(c11    c 11 11)
    clap_compile_cpp(cpp11 cc 11 11)
    clap_compile_cpp(cpp14 cc 11 14)
    if(${CMAKE_VERSION} VERSION_LESS "3.21")
        message(STATUS "Skipping C17 tests due to older CMAKE_VERSION ${CMAKE_VERSION}")
    else()
        clap_compile_cpp(c17    c 17 17)
    endif()
    clap_compile_cpp(cpp17 cc 17 17)
    clap_compile_cpp(cpp20 cc 17 20)

    set(CMAKE_C_STANDARD 11)
    check_source_compiles(C [[
#include <threads.h>
static void dummy(void) {}
int main(void) {
    mtx_t lock;
    once_flag once = ONCE_FLAG_INIT;

    mtx_init(&lock, mtx_plain);
    mtx_lock(&lock);
    mtx_unlock(&lock);
    mtx_destroy(&lock);
    call_once(&once, dummy);
    return 0;
}
]] CLAP_HAS_THREADS_H)

    if(CMAKE_SYSTEM_NAME STREQUAL "WASI")
        set(CLAP_PLUGIN_TEMPLATE_LIBRARY_TYPE STATIC)
    else()
        set(CLAP_PLUGIN_TEMPLATE_LIBRARY_TYPE MODULE)
    endif()

    add_library(clap-plugin-template ${CLAP_PLUGIN_TEMPLATE_LIBRARY_TYPE} EXCLUDE_FROM_ALL src/plugin-template.c)
    target_link_libraries(clap-plugin-template PRIVATE clap)
    set_target_properties(clap-plugin-template PROPERTIES C_STANDARD 11)
    add_dependencies(clap-tests clap-plugin-template)

    if(CLAP_HAS_THREADS_H)
        target_compile_definitions(clap-plugin-template PRIVATE CLAP_HAS_THREADS_H)
    endif()

    if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
        target_link_libraries(clap-plugin-template PRIVATE -Wl,--version-script=${CMAKE_CURRENT_SOURCE_DIR}/src/linux-my_plug.version)
        target_link_libraries(clap-plugin-template PRIVATE -Wl,-z,defs)
        set_target_properties(clap-plugin-template PROPERTIES SUFFIX ".clap" PREFIX "")
    elseif(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_link_options(clap-plugin-template PRIVATE -exported_symbols_list ${CMAKE_CURRENT_SOURCE_DIR}/src/macos-symbols.txt)

        set_target_properties(clap-plugin-template PROPERTIES
                    BUNDLE True
                    BUNDLE_EXTENSION clap
                    MACOSX_BUNDLE_GUI_IDENTIFIER com.my_company.my_plug
                    MACOSX_BUNDLE_BUNDLE_NAME my_plug
                    MACOSX_BUNDLE_BUNDLE_VERSION "1"
                    MACOSX_BUNDLE_SHORT_VERSION_STRING "1"
                    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/src/plugins.plist.in
                    )
    elseif(CMAKE_SYSTEM_NAME STREQUAL "Windows")
        set_target_properties(clap-plugin-template PROPERTIES SUFFIX ".clap" PREFIX "")
    elseif(CMAKE_SYSTEM_NAME STREQUAL "WASI" OR CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
        target_link_options(clap-plugin-template PRIVATE --no-entry)
    endif()

endif()

=== debian/changelog ===
clap (1.2.7-0~mx25) mx; urgency=medium

  * Initial build for MX-25

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 20 Dec 2025 10:21:17 +0000

=== debian/control ===
Source: clap
Section: Multimedia
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:  debhelper (>= 12),
				cmake (>=3.17)
Standards-Version: 4.5.8

Package: clap-dev
Architecture: any
Description: CLAP stands for CLever Audio Plugin.
 Clap is an interface that provides a stable ABI to define a standard for
 Digital Audio Workstations and audio plugins
 (synthesizers, audio effects, ...) to work together.

## clap python-0.1.1

=== docs/requirements.txt ===
sphinx==8.1.0
sphinx-rtd-theme==3.0.1
sphinx-autodoc-typehints==2.5.0

## clap python-0.1.2

=== docs/requirements.txt ===
sphinx==8.1.0
sphinx-rtd-theme==3.0.1
sphinx-autodoc-typehints==2.5.0
clap_python
